fribidi_get_bracket(3)

NAME
fribidi_get_bracket - get bracketed character

SYNOPSIS
#include <../fribidi/lib/fribidi.h>

FriBidiBracketType fribidi_get_bracket(FriBidiChar ch);

PARAMETERS

FriBidiChar ch
    Input character.

DESCRIPTION
This function finds the bracketed equivalent of a character as defined in the file BidiBrackets.txt of the Unicode Character Database available at http://www.unicode.org/Public/UNIDATA/BidiBrackets.txt. If the input character is a declared as a brackets character in the Unicode standard and has a bracketed equivalent. The matching bracketed character is put in the output, otherwise the input character itself is put.

RETURNS
The bracket type of the character. Use the FRIBIDI_IS_BRACKET(FriBidiBracketType) to test if it is a valid property.

SEE ALSO
fribidi_shape_arabic(3), fribidi_get_par_direction(3), fribidi_get_par_embedding_levels_ex(3), fribidi_reorder_line(3), fribidi_get_bidi_type(3), fribidi_get_bidi_types(3), fribidi_get_bidi_type_name(3), fribidi_charset_to_unicode(3), fribidi_unicode_to_charset(3), fribidi_parse_charset(3), fribidi_debug_status(3), fribidi_set_debug(3), fribidi_mirroring_status(3), fribidi_set_mirroring(3), fribidi_reorder_nsm_status(3), fribidi_set_reorder_nsm(3), fribidi_log2vis_get_embedding_levels(3), fribidi_get_type(3), fribidi_get_type_internal(3), fribidi_get_par_embedding_levels(3), fribidi_join_arabic(3), fribidi_get_joining_type(3), fribidi_get_joining_types(3), fribidi_get_joining_type_name(3), fribidi_get_mirror_char(3), fribidi_shape_mirroring(3), fribidi_get_bracket_types(3), fribidi_shape(3), fribidi_remove_bidi_marks(3), fribidi_log2vis(3)